PLaSK library

Loading...
Searching...
No Matches
Classes | Functions
plask::detail Namespace Reference

## Classes
struct | DataVectorGC
| Garbage collector info for DataVector. More...
struct | FlatMesh
struct | MakeBlockVisitor

## Functions
template<class T >
void | _construct_array (T *first, T *last, const std::false_type &)
template<class T >
void | _construct_array (T *, T *, const std::true_type &)
template<class T >
void | _destroy_array (T *first, T *last, const std::false_type &)
template<class T >
void | _destroy_array (T *, T *, const std::true_type &)
template<class T >
void | construct_array (T *first, T *last)
template<class T >
void | destroy_array (T *first, T *last)
template<>
void | construct_array (dcomplex *first, dcomplex *last)
template<>
void | destroy_array (dcomplex *first, dcomplex *last)
void * | custom_aligned_malloc (std::size_t size)
void | custom_aligned_free (void *ptr)
void * | custom_aligned_realloc (void *ptr, std::size_t size, std::size_t=0)

## Function Documentation

## ◆ _construct_array() [1/2]

template<class T >

void plask::detail::_construct_array | ( | T * | ,
|  | T * | ,
|  | const std::true_type & |
| ) |  |
| inline

Definition at line 51 of file data.hpp.

## ◆ _construct_array() [2/2]

template<class T >

void plask::detail::_construct_array | ( | T * | first,
|  | T * | last,
|  | const std::false_type & |
| ) |  |
| inline

Definition at line 43 of file data.hpp.

## ◆ _destroy_array() [1/2]

template<class T >

void plask::detail::_destroy_array | ( | T * | ,
|  | T * | ,
|  | const std::true_type & |
| ) |  |
| inline

Definition at line 63 of file data.hpp.

## ◆ _destroy_array() [2/2]

template<class T >

void plask::detail::_destroy_array | ( | T * | first,
|  | T * | last,
|  | const std::false_type & |
| ) |  |
| inline

Definition at line 55 of file data.hpp.

## ◆ construct_array() [1/2]

template<>

void plask::detail::construct_array | ( | dcomplex * | first,
|  | dcomplex * | last
| ) |  |
| inline

Definition at line 79 of file data.hpp.

## ◆ construct_array() [2/2]

template<class T >

void plask::detail::construct_array | ( | T * | first,
|  | T * | last
| ) |  |
| inline

Definition at line 67 of file data.hpp.

## ◆ custom_aligned_free()

void plask::detail::custom_aligned_free | ( | void * | ptr | ) |
| inline

Definition at line 56 of file memalloc.hpp.

## ◆ custom_aligned_malloc()

void * plask::detail::custom_aligned_malloc | ( | std::size_t | size | ) |
| inline

Definition at line 44 of file memalloc.hpp.

## ◆ custom_aligned_realloc()

void * plask::detail::custom_aligned_realloc | ( | void * | ptr,
|  | std::size_t | size,
|  | std::size_t | = `0`
| ) |  |
| inline

Definition at line 64 of file memalloc.hpp.

## ◆ destroy_array() [1/2]

template<>

void plask::detail::destroy_array | ( | dcomplex * | first,
|  | dcomplex * | last
| ) |  |
| inline

Definition at line 84 of file data.hpp.

## ◆ destroy_array() [2/2]

template<class T >

void plask::detail::destroy_array | ( | T * | first,
|  | T * | last
| ) |  |
| inline

Definition at line 72 of file data.hpp.